Bug 1860361 (CVE-2020-14400) - CVE-2020-14400 libvncserver: byte-aligned data is accessed through uint16_t pointers in libvncserver/translate.c
Summary: CVE-2020-14400 libvncserver: byte-aligned data is accessed through uint16_t p...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-14400
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1860362 1860363
Blocks: 1860332
TreeView+ depends on / blocked
 
Reported: 2020-07-24 11:25 UTC by Marian Rehak
Modified: 2020-07-31 22:37 UTC (History)
4 users (show)

Fixed In Version: libvncserver 0.9.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-30 16:30:51 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-07-24 11:25:06 UTC
An issue was discovered in LibVNCServer before 0.9.13. Byte-aligned data is accessed through uint16_t pointers in libvncserver/translate.c.

Upstream commit:

https://github.com/LibVNC/libvncserver/commit/53073c8d7e232151ea2ecd8a1243124121e10e2d

Comment 1 Marian Rehak 2020-07-24 11:25:43 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1860362]
Affects: fedora-all [bug 1860363]

Comment 2 Todd Cullum 2020-07-30 00:13:29 UTC
I've opened general software bugs for this as there is no known exploit path or trust boundary crossed:

https://bugzilla.redhat.com/show_bug.cgi?id=1861929
https://bugzilla.redhat.com/show_bug.cgi?id=1861933
https://bugzilla.redhat.com/show_bug.cgi?id=1861932
https://bugzilla.redhat.com/show_bug.cgi?id=1861930

Comment 3 Todd Cullum 2020-07-30 16:24:48 UTC
Statement:

Red Hat Product Security does not consider this to be a vulnerability as there is no known path of exploitation or cross of a trust boundary.


Note You need to log in before you can comment on or make changes to this bug.